Last Comment Bug 319746 - Bookmark info panel's minimum size is too small.
: Bookmark info panel's minimum size is too small.
Status: RESOLVED FIXED
: fixed1.8.1
Product: Camino Graveyard
Classification: Graveyard
Component: Bookmarks (show other bugs)
: unspecified
: PowerPC Mac OS X
-- normal (vote)
: Camino1.5
Assigned To: froodian (Ian Leue)
:
:
Mentors:
Depends on: 337570
Blocks: 325880
  Show dependency treegraph
 
Reported: 2005-12-09 14:57 PST by Wevah
Modified: 2006-09-21 12:06 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Makes minimum size bigger (13.38 KB, application/zip)
2006-07-02 09:38 PDT, froodian (Ian Leue)
no flags Details
Version of the above that WFM (11.41 KB, application/zip)
2006-07-03 23:48 PDT, Smokey Ardisson (offline for a while; not following bugs - do not email)
froodian: review+
Details

Description User image Wevah 2005-12-09 14:57:45 PST
The bookmark info panel's minimum size is too small. I can shrink it horizontally until the rightmost checkbox in the folder info view becomes hidden, and vertically until the layout of the content view gets messed up (until application relaunch).
Comment 1 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-05-12 06:16:01 PDT
Wevah/Simon, is this just a nib change, or is code required?  (There are a couple of other bugs on this nib right now, see the depends list in bug 325880.)
Comment 2 User image Stuart Morgan 2006-07-01 16:37:57 PDT
It's a simple nib change.
Comment 3 User image froodian (Ian Leue) 2006-07-02 09:38:47 PDT
Created attachment 227886 [details]
Makes minimum size bigger

This just changes the minimum size to large enough to not hide any elements on the bookmark folder or bookmark info panels (including the visits tab).
Comment 4 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-07-02 22:12:42 PDT
pnhChris, can you make sure the folder view is still OK for you on 10.3.9 (both with and without Full Keyboard Access enabled, and forward and backward [shift-tab])?

That view is now (with the above nib) totally keyboard-inaccessible for me, but I've had problems with it before (keyword not being in the tab chain) that no one else could repro....

If it works ok for pnhChris, then r=me.
Comment 5 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-07-03 23:48:27 PDT
Created attachment 228021 [details]
Version of the above that WFM

This implements the same min sizes as Ian used, but closes the panel when saving to allow me to tab in the folder view (such as I was able to tab before in that view).

Yes, you heard me.
Comment 6 User image froodian (Ian Leue) 2006-07-04 00:05:03 PDT
Comment on attachment 228021 [details]
Version of the above that WFM

r=me, although maybe we should wrap this into bug 337570 now that it's not looking like WONTFIX.
Comment 7 User image froodian (Ian Leue) 2006-07-04 11:21:50 PDT
Comment on attachment 228021 [details]
Version of the above that WFM

The changes from this nib are now in bug 337570.
Comment 8 User image froodian (Ian Leue) 2006-09-21 12:04:11 PDT
Fixed by bug 337570.

Note You need to log in before you can comment on or make changes to this bug.